<?php
/**
* The template for displaying 404 pages (not found).
*
* @link https://codex.wordpress.org/Creating_an_Error_404_Page
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class='gridsoul-main-wrapper gridsoul-clearfix' id='gridsoul-main-wrapper' itemscope='itemscope' itemtype='http://schema.org/Blog' role='main'>
<div class='theiaStickySidebar'>
<div class="gridsoul-main-wrapper-inside gridsoul-clearfix">

<div class='gridsoul-posts-wrapper' id='gridsoul-posts-wrapper'>

<div class='gridsoul-posts gridsoul-box'>
<div class="gridsoul-box-inside">

<div class="gridsoul-page-header-outside">
<header class="gridsoul-page-header">
<div class="gridsoul-page-header-inside">
    <?php if ( gridsoul_get_option('error_404_heading') ) : ?>
    <h1 class="page-title"><?php echo esc_html( gridsoul_get_option('error_404_heading') ); ?></h1>
    <?php else : ?>
    <h1 class="page-title"><?php esc_html_e( 'Oops! That page can not be found.', 'gridsoul' ); ?></h1>
    <?php endif; ?>
</div>
</header><!-- .gridsoul-page-header -->
</div>

<div class='gridsoul-posts-content'>

    <?php if ( gridsoul_get_option('error_404_message') ) : ?>
    <p><?php echo wp_kses_post( force_balance_tags( gridsoul_get_option('error_404_message') ) ); ?></p>
    <?php else : ?>
    <p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'gridsoul' ); ?></p>
    <?php endif; ?>

    <?php if ( !(gridsoul_get_option('hide_404_search')) ) { ?><?php get_search_form(); ?><?php } ?>

</div>

</div>
</div>

</div><!--/#gridsoul-posts-wrapper -->

<?php gridsoul_404_widgets(); ?>

</div>
</div>
</div><!-- /#gridsoul-main-wrapper -->

<?php get_footer(); ?>