jQuery(document).ready(function($) {
    'use strict';

    if(gridsoul_ajax_object.primary_menu_active){
        $(".gridsoul-nav-primary .gridsoul-primary-nav-menu").addClass("gridsoul-primary-responsive-menu");

        $( ".gridsoul-primary-responsive-menu-icon" ).on( "click", function() {
            $(this).next(".gridsoul-nav-primary .gridsoul-primary-nav-menu").slideToggle();
        });

        $(window).on( "resize", function() {
            if(window.innerWidth > 1112) {
                $(".gridsoul-nav-primary .gridsoul-primary-nav-menu, nav .sub-menu, nav .children").removeAttr("style");
                $(".gridsoul-primary-responsive-menu > li").removeClass("gridsoul-primary-menu-open");
            }
        });

        $( ".gridsoul-primary-responsive-menu > li" ).on( "click", function(event) {
            if (event.target !== this)
            return;
            $(this).find(".sub-menu:first").toggleClass('gridsoul-submenu-toggle').parent().toggleClass("gridsoul-primary-menu-open");
            $(this).find(".children:first").toggleClass('gridsoul-submenu-toggle').parent().toggleClass("gridsoul-primary-menu-open");
        });

        $( "div.gridsoul-primary-responsive-menu > ul > li" ).on( "click", function(event) {
            if (event.target !== this)
                return;
            $(this).find("ul:first").toggleClass('gridsoul-submenu-toggle').parent().toggleClass("gridsoul-primary-menu-open");
        });
    }

    if($(".gridsoul-header-icon-search").length){
        $(".gridsoul-header-icon-search").on('click', function (e) {
            e.preventDefault();
            //document.getElementById("gridsoul-search-overlay-wrap").style.display = "block";
            $("#gridsoul-search-overlay-wrap").fadeIn();
            const gridsoul_focusableelements = 'button, [href], input';
            const gridsoul_search_modal = document.querySelector('#gridsoul-search-overlay-wrap');
            const gridsoul_firstfocusableelement = gridsoul_search_modal.querySelectorAll(gridsoul_focusableelements)[0];
            const gridsoul_focusablecontent = gridsoul_search_modal.querySelectorAll(gridsoul_focusableelements);
            const gridsoul_lastfocusableelement = gridsoul_focusablecontent[gridsoul_focusablecontent.length - 1];
            document.addEventListener('keydown', function(e) {
              let isTabPressed = e.key === 'Tab' || e.keyCode === 9;
              if (!isTabPressed) {
                return;
              }
              if (e.shiftKey) {
                if (document.activeElement === gridsoul_firstfocusableelement) {
                  gridsoul_lastfocusableelement.focus();
                  e.preventDefault();
                }
              } else {
                if (document.activeElement === gridsoul_lastfocusableelement) {
                  gridsoul_firstfocusableelement.focus();
                  e.preventDefault();
                }
              }
            });
            gridsoul_firstfocusableelement.focus();
        });
    }

    if($(".gridsoul-search-closebtn").length){
        $(".gridsoul-search-closebtn").on('click', function (e) {
            e.preventDefault();
            //document.getElementById("gridsoul-search-overlay-wrap").style.display = "none";
            $("#gridsoul-search-overlay-wrap").fadeOut();
        });
    }

    if(gridsoul_ajax_object.fitvids_active){
        $(".entry-content, .widget").fitVids();
    }

    if(gridsoul_ajax_object.backtotop_active){
        if($(".gridsoul-scroll-top").length){
            var gridsoul_scroll_button = $( '.gridsoul-scroll-top' );
            gridsoul_scroll_button.hide();

            $( window ).on( "scroll", function() {
                if ( $( window ).scrollTop() < 20 ) {
                    $( '.gridsoul-scroll-top' ).fadeOut();
                } else {
                    $( '.gridsoul-scroll-top' ).fadeIn();
                }
            } );

            gridsoul_scroll_button.on( "click", function() {
                $( "html, body" ).animate( { scrollTop: 0 }, 300 );
                return false;
            } );
        }
    }

    function gridsoul_owl_slider() {
        var gridsoul_slider_autoplay;
        var gridsoul_slider_loop;
        var gridsoul_show_dots_pagination;
        var gridsoul_show_next_prev_navigation;
        var gridsoul_autoheight_active;
        var gridsoul_slider_rtl;
        var gridsoul_slider_autoplayhoverpause;
        if(gridsoul_ajax_object.slider_active){
            gridsoul_slider_autoplay = gridsoul_ajax_object.slider_autoplay ? true : false;
            gridsoul_slider_loop = gridsoul_ajax_object.slider_loop ? true : false;
            gridsoul_show_dots_pagination = gridsoul_ajax_object.show_dots_pagination ? true : false;
            gridsoul_show_next_prev_navigation = gridsoul_ajax_object.show_next_prev_navigation ? true : false;
            gridsoul_autoheight_active = gridsoul_ajax_object.autoheight_active ? true : false;
            gridsoul_slider_rtl = gridsoul_ajax_object.slider_rtl ? true : false;
            gridsoul_slider_autoplayhoverpause = gridsoul_ajax_object.slider_autoplayhoverpause ? true : false;

            if ( $().owlCarousel ) {
                var gridsoulcarouselwrapper = $('.gridsoul-posts-carousel');
                var imgLoad = imagesLoaded(gridsoulcarouselwrapper);
                imgLoad.on( 'always', function() {
                    gridsoulcarouselwrapper.each(function(){
                            var $this = $(this);
                            $this.find('.owl-carousel').owlCarousel({
                                autoplay: gridsoul_slider_autoplay,
                                loop: gridsoul_slider_loop,
                                margin: 15,
                                smartSpeed: 250,
                                dots: gridsoul_show_dots_pagination,
                                dotsSpeed: 100,
                                nav: gridsoul_show_next_prev_navigation,
                                navSpeed: 100,
                                mouseDrag: true,
                                touchDrag: true,
                                rtl: gridsoul_slider_rtl,
                                autoplayTimeout: Number(gridsoul_ajax_object.slider_autoplaytimeout),
                                autoplaySpeed: Number(gridsoul_ajax_object.slider_autoplayspeed),
                                autoplayHoverPause: gridsoul_slider_autoplayhoverpause,
                                autoHeight: gridsoul_autoheight_active,
                                navText: [ '<i class="fas fa-angle-left"></i>', '<i class="fas fa-angle-right"></i>' ],
                                responsive:{
                                0:{
                                    items: 1
                                },
                                320:{
                                    items: 1
                                },
                                414:{
                                    items: 1
                                },
                                601:{
                                    items: 1
                                },
                                791:{
                                    items: 2
                                },
                                1001:{
                                    items: 2
                                },
                                1113:{
                                    items: 2
                                },
                                1277:{
                                    items: 2
                                }
                            }
                        });
                    });
                });
            }
        }
    }
    gridsoul_owl_slider();

    $(window).on( "resize", function() {
        gridsoul_owl_slider();
    });

    if(gridsoul_ajax_object.sticky_sidebar_active){
        $('.gridsoul-main-wrapper, .gridsoul-sidebar-one-wrapper').theiaStickySidebar({
            containerSelector: ".gridsoul-content-wrapper",
            additionalMarginTop: 0,
            additionalMarginBottom: 0,
            minWidth: 960,
        });

        $(window).on( "resize", function() {
            $('.gridsoul-main-wrapper, .gridsoul-sidebar-one-wrapper').theiaStickySidebar({
                containerSelector: ".gridsoul-content-wrapper",
                additionalMarginTop: 0,
                additionalMarginBottom: 0,
                minWidth: 960,
            });
        });
    }

    // init Masonry
    var $gridsoul_grid = $('.gridsoul-posts-grid').masonry({
      itemSelector: '.gridsoul-grid-post',
      columnWidth: '.gridsoul-3-col-sizer',
      gutter: '.gridsoul-3-col-gutter',
      percentPosition: true,
      transitionDuration: '0.4s'
    });
    // layout Masonry after each image loads
    $gridsoul_grid.imagesLoaded().progress( function() {
      $gridsoul_grid.masonry('layout');
    });
    $(window).on( "resize", function() {
        $gridsoul_grid.imagesLoaded().progress( function() {
            $gridsoul_grid.masonry('layout');
        });
    });

});