<?php
/**
* The template for displaying the footer
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

</div>

</div><!--/#gridsoul-content-wrapper -->
</div><!--/#gridsoul-wrapper -->

<?php gridsoul_bottom_wide_widgets(); ?>

<?php gridsoul_before_footer(); ?>

<?php if ( !(gridsoul_hide_footer_widgets()) ) { ?>
<?php if ( is_active_sidebar( 'gridsoul-footer-1' ) || is_active_sidebar( 'gridsoul-footer-2' ) || is_active_sidebar( 'gridsoul-footer-3' ) || is_active_sidebar( 'gridsoul-top-footer' ) || is_active_sidebar( 'gridsoul-bottom-footer' ) ) : ?>
<div class='gridsoul-clearfix' id='gridsoul-footer-blocks' itemscope='itemscope' itemtype='http://schema.org/WPFooter' role='contentinfo'>
<div class='gridsoul-container gridsoul-clearfix'>
<div class="gridsoul-outer-wrapper">

<?php if ( is_active_sidebar( 'gridsoul-top-footer' ) ) : ?>
<div class='gridsoul-clearfix'>
<div class='gridsoul-top-footer-block'>
<?php dynamic_sidebar( 'gridsoul-top-footer' ); ?>
</div>
</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'gridsoul-footer-1' ) || is_active_sidebar( 'gridsoul-footer-2' ) || is_active_sidebar( 'gridsoul-footer-3' ) ) : ?>
<div class='gridsoul-footer-block-cols gridsoul-clearfix'>

<div class="gridsoul-footer-block-col gridsoul-footer-3-col" id="gridsoul-footer-block-1">
<?php dynamic_sidebar( 'gridsoul-footer-1' ); ?>
</div>

<div class="gridsoul-footer-block-col gridsoul-footer-3-col" id="gridsoul-footer-block-2">
<?php dynamic_sidebar( 'gridsoul-footer-2' ); ?>
</div>

<div class="gridsoul-footer-block-col gridsoul-footer-3-col" id="gridsoul-footer-block-3">
<?php dynamic_sidebar( 'gridsoul-footer-3' ); ?>
</div>

</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'gridsoul-bottom-footer' ) ) : ?>
<div class='gridsoul-clearfix'>
<div class='gridsoul-bottom-footer-block'>
<?php dynamic_sidebar( 'gridsoul-bottom-footer' ); ?>
</div>
</div>
<?php endif; ?>

</div>
</div>
</div><!--/#gridsoul-footer-blocks-->
<?php endif; ?>
<?php } ?>

<div class='gridsoul-clearfix' id='gridsoul-copyrights'>
<div class='gridsoul-copyrights-inside gridsoul-clearfix'>
<div class="gridsoul-outer-wrapper">
<?php if ( gridsoul_get_option('footer_text') ) : ?>
  <div class='gridsoul-copyright'><?php echo wp_kses_post( force_balance_tags( gridsoul_get_option('footer_text') ) ); ?></div>
<?php else : ?>
  <div class='gridsoul-copyright'><?php /* translators: %s: Year and site name. */ printf( esc_html__( 'Copyright &copy; %s', 'gridsoul' ), esc_html(date_i18n(__('Y','gridsoul'))) . ' ' . esc_html(get_bloginfo( 'name' ))  ); ?></div>
<?php endif; ?>
<div class='gridsoul-credit'><a href="<?php echo esc_url( 'https://themesdna.com/gridsoul-pro-wordpress-theme/' ); ?>"><?php /* translators: %s: Theme author. */ printf( esc_html__( 'Design by %s', 'gridsoul' ), 'ThemesDNA.com' ); ?></a></div>
</div>
</div>
</div><!--/#gridsoul-copyrights -->

<?php gridsoul_after_footer(); ?>

<?php if ( gridsoul_is_backtotop_active() ) { ?><button class="gridsoul-scroll-top" title="<?php esc_attr_e('Scroll to Top','gridsoul'); ?>"><i class="fas fa-arrow-up" aria-hidden="true"></i><span class="gridsoul-sr-only"><?php esc_html_e('Scroll to Top', 'gridsoul'); ?></span></button><?php } ?>

<?php wp_footer(); ?>
</body>
</html>