<?php
/**
* The header for GridSoul theme.
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> id="gridsoul-body" itemscope="itemscope" itemtype="http://schema.org/WebPage">
<?php wp_body_open(); ?>
<a class="skip-link screen-reader-text" href="#gridsoul-content-wrapper"><?php esc_html_e( 'Skip to content', 'gridsoul' ); ?></a>

<?php gridsoul_before_header(); ?>

<?php gridsoul_header_image(); ?>

<?php gridsoul_social_bar(); ?>

<div class="gridsoul-site-header gridsoul-container" id="gridsoul-header" itemscope="itemscope" itemtype="http://schema.org/WPHeader" role="banner">
<div class="gridsoul-head-content gridsoul-clearfix" id="gridsoul-head-content">

<?php if ( gridsoul_is_header_content_active() ) { ?>
<div class="gridsoul-header-inside gridsoul-clearfix">
<div class="gridsoul-header-inside-content gridsoul-clearfix">
<div class="gridsoul-outer-wrapper">
<div class="gridsoul-header-inside-container">

<div class="gridsoul-logo gridsoul-header-inside-block">
<?php if ( has_custom_logo() ) : ?>
    <div class="site-branding site-branding-full">
    <div class="gridsoul-custom-logo-image">
    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" class="gridsoul-logo-img-link">
        <img src="<?php echo esc_url( gridsoul_custom_logo() ); ?>" alt="" class="gridsoul-logo-img"/>
    </a>
    </div>
    <div class="gridsoul-custom-logo-info"><?php gridsoul_site_title(); ?></div>
    </div>
<?php else: ?>
    <div class="site-branding">
      <?php gridsoul_site_title(); ?>
    </div>
<?php endif; ?>
</div>

<?php if ( gridsoul_is_primary_menu_active() ) { ?>
<div class="gridsoul-header-menu gridsoul-header-inside-block">
<div class="gridsoul-container gridsoul-primary-menu-container gridsoul-clearfix">
<div class="gridsoul-primary-menu-container-inside gridsoul-clearfix">
<nav class="gridsoul-nav-primary" id="gridsoul-primary-navigation" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement" role="navigation" aria-label="<?php esc_attr_e( 'Primary Menu', 'gridsoul' ); ?>">
<button class="gridsoul-primary-responsive-menu-icon" aria-controls="gridsoul-menu-primary-navigation" aria-expanded="false"><?php esc_html_e( 'Menu', 'gridsoul' ); ?></button>
<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'gridsoul-menu-primary-navigation', 'menu_class' => 'gridsoul-primary-nav-menu gridsoul-menu-primary gridsoul-clearfix', 'fallback_cb' => 'gridsoul_fallback_menu', 'container' => '', ) ); ?>
</nav>
</div>
</div>
</div>
<?php } ?>

</div>
</div>
</div>
</div>
<?php } else { ?>
<div class="gridsoul-no-header-content">
  <?php gridsoul_site_title(); ?>
</div>
<?php } ?>

</div><!--/#gridsoul-head-content -->
</div><!--/#gridsoul-header -->

<?php if ( gridsoul_get_option('show_header_search_button') ) { ?>
<div id="gridsoul-search-overlay-wrap" class="gridsoul-search-overlay">
  <div class="gridsoul-search-overlay-content">
    <?php get_search_form(); ?>
  </div>
  <button class="gridsoul-search-closebtn" aria-label="<?php esc_attr_e( 'Close Search', 'gridsoul' ); ?>" title="<?php esc_attr_e('Close Search','gridsoul'); ?>">&#xD7;</button>
</div>
<?php } ?>

<?php gridsoul_after_header(); ?>

<div id="gridsoul-header-end"></div>

<?php gridsoul_slider_area(); ?>

<?php gridsoul_top_wide_widgets(); ?>

<div class="gridsoul-outer-wrapper" id="gridsoul-wrapper-outside">

<div class="gridsoul-container gridsoul-clearfix" id="gridsoul-wrapper">
<div class="gridsoul-content-wrapper gridsoul-clearfix" id="gridsoul-content-wrapper">