<?php
/**
* Getting started options
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridsoul_getting_started($wp_customize) {

    $wp_customize->add_section( 'gridsoul_section_getting_started', array( 'title' => esc_html__( 'Getting Started', 'gridsoul' ), 'description' => esc_html__( 'Thanks for your interest in GridSoul! If you have any questions or run into any trouble, please visit us the following links. We will get you fixed up!', 'gridsoul' ), 'panel' => 'gridsoul_main_options_panel', 'priority' => 5, ) );

    $wp_customize->add_setting( 'gridsoul_options[documentation]', array( 'default' => '', 'sanitize_callback' => '__return_false', ) );

    $wp_customize->add_control( new GridSoul_Customize_Button_Control( $wp_customize, 'gridsoul_documentation_control', array( 'label' => esc_html__( 'Documentation', 'gridsoul' ), 'section' => 'gridsoul_section_getting_started', 'settings' => 'gridsoul_options[documentation]', 'type' => 'button', 'button_tag' => 'a', 'button_class' => 'button button-primary', 'button_href' => esc_url( 'https://themesdna.com/gridsoul-wordpress-theme/' ), 'button_target' => '_blank', ) ) );

    $wp_customize->add_setting( 'gridsoul_options[contact]', array( 'default' => '', 'sanitize_callback' => '__return_false', ) );

    $wp_customize->add_control( new GridSoul_Customize_Button_Control( $wp_customize, 'gridsoul_contact_control', array( 'label' => esc_html__( 'Contact Us', 'gridsoul' ), 'section' => 'gridsoul_section_getting_started', 'settings' => 'gridsoul_options[contact]', 'type' => 'button', 'button_tag' => 'a', 'button_class' => 'button button-primary', 'button_href' => esc_url( 'https://themesdna.com/contact/' ), 'button_target' => '_blank', ) ) );

}