<?php
/**
* Menu options
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridsoul_menu_options($wp_customize) {

    $wp_customize->add_section( 'gridsoul_section_menu_options', array( 'title' => esc_html__( 'Menu Options', 'gridsoul' ), 'panel' => 'gridsoul_main_options_panel', 'priority' => 120 ) );

    $wp_customize->add_setting( 'gridsoul_options[primary_menu_text]', array( 'default' => esc_html__( 'Menu', 'gridsoul' ), 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field', ) );

    $wp_customize->add_control( 'gridsoul_primary_menu_text_control', array( 'label' => esc_html__( 'Primary Menu Mobile Text', 'gridsoul' ), 'section' => 'gridsoul_section_menu_options', 'settings' => 'gridsoul_options[primary_menu_text]', 'type' => 'text', ) );

    $wp_customize->add_setting( 'gridsoul_options[disable_primary_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridsoul_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridsoul_disable_primary_menu_control', array( 'label' => esc_html__( 'Disable Primary Menu', 'gridsoul' ), 'section' => 'gridsoul_section_menu_options', 'settings' => 'gridsoul_options[disable_primary_menu]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridsoul_options[show_header_search_button]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridsoul_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridsoul_show_header_search_button_control', array( 'label' => esc_html__( 'Show Search Button on Primary Menu', 'gridsoul' ), 'description' => esc_html__('This option has no effect if you checked the option: "Disable Primary Menu"', 'gridsoul'), 'section' => 'gridsoul_section_menu_options', 'settings' => 'gridsoul_options[show_header_search_button]', 'type' => 'checkbox', ) );

}