<?php
/**
* Navigation options
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridsoul_navigation_options($wp_customize) {

    $wp_customize->add_section( 'gridsoul_section_navigation', array( 'title' => esc_html__( 'Posts Navigation Options', 'gridsoul' ), 'panel' => 'gridsoul_main_options_panel', 'priority' => 190 ) );

    $wp_customize->add_setting( 'gridsoul_options[hide_post_navigation]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridsoul_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridsoul_hide_post_navigation_control', array( 'label' => esc_html__( 'Hide Post Navigation from Full Posts', 'gridsoul' ), 'section' => 'gridsoul_section_navigation', 'settings' => 'gridsoul_options[hide_post_navigation]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridsoul_options[hide_posts_navigation]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridsoul_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridsoul_hide_posts_navigation_control', array( 'label' => esc_html__( 'Hide Posts Navigation from Home/Archive/Search Pages', 'gridsoul' ), 'section' => 'gridsoul_section_navigation', 'settings' => 'gridsoul_options[hide_posts_navigation]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridsoul_options[posts_navigation_type]', array( 'default' => 'numberednavi', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridsoul_sanitize_posts_navigation_type' ) );

    $wp_customize->add_control( 'gridsoul_posts_navigation_type_control', array( 'label' => esc_html__( 'Posts Navigation Type', 'gridsoul' ), 'description' => esc_html__('Select posts navigation type you need. If you activate WP-PageNavi plugin, this navigation will be replaced by WP-PageNavi navigation.', 'gridsoul'), 'section' => 'gridsoul_section_navigation', 'settings' => 'gridsoul_options[posts_navigation_type]', 'type' => 'select', 'choices' => array( 'normalnavi' => esc_html__('Normal Navigation', 'gridsoul'), 'numberednavi' => esc_html__('Numbered Navigation', 'gridsoul') ) ) );

}