<?php
/**
* Custom Hooks
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridsoul_before_header() {
    do_action('gridsoul_before_header');
}

function gridsoul_after_header() {
    do_action('gridsoul_after_header');
}

function gridsoul_before_slider() {
    do_action('gridsoul_before_slider');
}

function gridsoul_after_slider() {
    do_action('gridsoul_after_slider');
}

function gridsoul_before_main_content() {
    do_action('gridsoul_before_main_content');
}
add_action('gridsoul_before_main_content', 'gridsoul_top_widgets', 20 );

function gridsoul_after_main_content() {
    do_action('gridsoul_after_main_content');
}
add_action('gridsoul_after_main_content', 'gridsoul_bottom_widgets', 10 );

function gridsoul_sidebar_one() {
    do_action('gridsoul_sidebar_one');
}
add_action('gridsoul_sidebar_one', 'gridsoul_sidebar_one_widgets', 10 );

function gridsoul_before_single_post() {
    do_action('gridsoul_before_single_post');
}

function gridsoul_before_single_post_title() {
    do_action('gridsoul_before_single_post_title');
}

function gridsoul_after_single_post_title() {
    do_action('gridsoul_after_single_post_title');
}

function gridsoul_top_single_post_content() {
    do_action('gridsoul_top_single_post_content');
}

function gridsoul_bottom_single_post_content() {
    do_action('gridsoul_bottom_single_post_content');
}

function gridsoul_after_single_post_content() {
    do_action('gridsoul_after_single_post_content');
}

function gridsoul_after_single_post() {
    do_action('gridsoul_after_single_post');
}

function gridsoul_before_single_page() {
    do_action('gridsoul_before_single_page');
}

function gridsoul_before_single_page_title() {
    do_action('gridsoul_before_single_page_title');
}

function gridsoul_after_single_page_title() {
    do_action('gridsoul_after_single_page_title');
}

function gridsoul_after_single_page_content() {
    do_action('gridsoul_after_single_page_content');
}

function gridsoul_after_single_page() {
    do_action('gridsoul_after_single_page');
}

function gridsoul_before_comments() {
    do_action('gridsoul_before_comments');
}

function gridsoul_after_comments() {
    do_action('gridsoul_after_comments');
}

function gridsoul_before_footer() {
    do_action('gridsoul_before_footer');
}

function gridsoul_after_footer() {
    do_action('gridsoul_after_footer');
}

function gridsoul_before_nongrid_post_title() {
    do_action('gridsoul_before_nongrid_post_title');
}

function gridsoul_after_nongrid_post_title() {
    do_action('gridsoul_after_nongrid_post_title');
}

if ( !(gridsoul_get_option('enable_widgets_block_editor')) ) {
    // Disables the block editor from managing widgets in the Gutenberg plugin.
    add_filter( 'gutenberg_use_widgets_block_editor', '__return_false', 100 );

    // Disables the block editor from managing widgets.
    add_filter( 'use_widgets_block_editor', '__return_false' );
}

if ( ! function_exists( 'gridsoul_remove_theme_support' ) ) :
function gridsoul_remove_theme_support() {

    if ( gridsoul_is_fitvids_active() ) {
        // Remove responsive embedded content support.
        remove_theme_support( 'responsive-embeds' );
    }

}
endif;
add_action( 'after_setup_theme', 'gridsoul_remove_theme_support', 1000 );