<?php
/**
* Media functions
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridsoul_media_content_grid() {
    global $post; ?>
    <?php if ( !(gridsoul_get_option('hide_thumbnail_home')) ) { ?>
    <?php if ( has_post_thumbnail($post->ID) ) { ?>
    <div class="gridsoul-grid-post-thumbnail gridsoul-grid-post-block">
        <?php if ( gridsoul_get_option('thumbnail_link_home') == 'no' ) { ?>
            <?php the_post_thumbnail('gridsoul-480w-autoh-image', array('class' => 'gridsoul-grid-post-thumbnail-img', 'title' => the_title_attribute('echo=0'))); ?>
        <?php } else { ?>
            <a href="<?php echo esc_url( get_permalink() ); ?>" class="gridsoul-grid-post-thumbnail-link" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'gridsoul' ), the_title_attribute( 'echo=0' ) ) ); ?>"><?php the_post_thumbnail('gridsoul-480w-autoh-image', array('class' => 'gridsoul-grid-post-thumbnail-img', 'title' => the_title_attribute('echo=0'))); ?></a>
        <?php } ?>
    </div>
    <?php } else { ?>
    <?php if ( !(gridsoul_get_option('hide_default_thumbnail')) ) { ?>
    <div class="gridsoul-grid-post-thumbnail gridsoul-grid-post-thumbnail-default gridsoul-grid-post-block">
        <?php if ( gridsoul_get_option('thumbnail_link_home') == 'no' ) { ?>
            <img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/no-image-480-360.jpg' ); ?>" class="gridsoul-grid-post-thumbnail-img"/>
        <?php } else { ?>
            <a href="<?php echo esc_url( get_permalink() ); ?>" class="gridsoul-grid-post-thumbnail-link" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'gridsoul' ), the_title_attribute( 'echo=0' ) ) ); ?>"><img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/no-image-480-360.jpg' ); ?>" class="gridsoul-grid-post-thumbnail-img"/></a>
        <?php } ?>
    </div>
    <?php } ?>
    <?php } ?>
    <?php } ?>
<?php }

function gridsoul_media_content_nongrid() {
    global $post; ?>
    <?php if ( !(gridsoul_get_option('hide_thumbnail_home')) ) { ?>
    <?php if ( has_post_thumbnail($post->ID) ) { ?>
    <div class="gridsoul-post-thumbnail-single">
        <?php if ( gridsoul_get_option('thumbnail_link_home') == 'no' ) { ?>
            <?php the_post_thumbnail(gridsoul_nongrid_thumb_style(), array('class' => 'gridsoul-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0'))); ?>
        <?php } else { ?>
            <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'gridsoul' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="gridsoul-post-thumbnail-single-link"><?php the_post_thumbnail(gridsoul_nongrid_thumb_style(), array('class' => 'gridsoul-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0'))); ?></a>
        <?php } ?>
    </div>
    <?php } ?>
    <?php } ?>
<?php }

function gridsoul_media_content_single() {
    global $post; ?>
    <?php if ( !(gridsoul_get_option('hide_thumbnail')) ) { ?>
    <?php if ( has_post_thumbnail($post->ID) ) { ?>
    <div class="gridsoul-post-thumbnail-single">
        <?php if ( gridsoul_get_option('thumbnail_link') == 'no' ) { ?>
            <?php the_post_thumbnail(gridsoul_single_thumb_style(), array('class' => 'gridsoul-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0'))); ?>
        <?php } else { ?>
            <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'gridsoul' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="gridsoul-post-thumbnail-single-link"><?php the_post_thumbnail(gridsoul_single_thumb_style(), array('class' => 'gridsoul-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0'))); ?></a>
        <?php } ?>
    </div>
    <?php } ?>
    <?php } ?>
<?php }

function gridsoul_media_content_page() {
    global $post; ?>
    <?php if ( !(gridsoul_get_option('hide_page_thumbnail')) ) { ?>
    <?php if ( has_post_thumbnail($post->ID) ) { ?>
    <div class="gridsoul-post-thumbnail-single">
        <?php if ( gridsoul_get_option('thumbnail_link_page') == 'no' ) { ?>
            <?php the_post_thumbnail(gridsoul_page_thumb_style(), array('class' => 'gridsoul-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0'))); ?>
        <?php } else { ?>
            <a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'gridsoul' ), the_title_attribute( 'echo=0' ) ) ); ?>" class="gridsoul-post-thumbnail-single-link"><?php the_post_thumbnail(gridsoul_page_thumb_style(), array('class' => 'gridsoul-post-thumbnail-single-img', 'title' => the_title_attribute('echo=0'))); ?></a>
        <?php } ?>
    </div>
    <?php } ?>
    <?php } ?>
<?php }

function gridsoul_media_content_single_location() {
    global $post;
    if( gridsoul_get_option('featured_media_under_post_title') ) {
        add_action('gridsoul_after_single_post_title', 'gridsoul_media_content_single', 10 );
    } else {
        add_action('gridsoul_before_single_post_title', 'gridsoul_media_content_single', 10 );
    }
}
add_action('template_redirect', 'gridsoul_media_content_single_location', 100 );

function gridsoul_media_content_page_location() {
    global $post;
    if( gridsoul_get_option('featured_media_under_page_title') ) {
        add_action('gridsoul_after_single_page_title', 'gridsoul_media_content_page', 10 );
    } else {
        add_action('gridsoul_before_single_page_title', 'gridsoul_media_content_page', 10 );
    }
}
add_action('template_redirect', 'gridsoul_media_content_page_location', 110 );

function gridsoul_media_content_nongrid_location() {
    if( gridsoul_get_option('featured_nongrid_media_under_post_title') ) {
        add_action('gridsoul_after_nongrid_post_title', 'gridsoul_media_content_nongrid', 10 );
    } else {
        add_action('gridsoul_before_nongrid_post_title', 'gridsoul_media_content_nongrid', 10 );
    }
}
add_action('template_redirect', 'gridsoul_media_content_nongrid_location', 120 );