<?php
/**
* Slider
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

if ( ! function_exists( 'gridsoul_slider' ) ) :

function gridsoul_slider() { ?>

<?php gridsoul_before_slider(); ?>

<div class="gridsoul-slider-wrapper">
<div class="gridsoul-outer-wrapper">
    <?php
    $slider_length = 6;
    if ( gridsoul_get_option('slider_length') ) {
        $slider_length = gridsoul_get_option('slider_length');
    }

    $slider_post_type = 'recentposts';
    if ( gridsoul_get_option('slider_post_type') ) {
        $slider_post_type = gridsoul_get_option('slider_post_type');
    }

    $slider_cat = gridsoul_get_option('slider_cat');
    $slider_tag = gridsoul_get_option('slider_tag');

    $slider_post_orderby = 'date';
    if ( gridsoul_get_option('slider_post_orderby') ) {
        $slider_post_orderby = gridsoul_get_option('slider_post_orderby');
    }

    $slider_post_order = 'DESC';
    if ( gridsoul_get_option('slider_post_order') ) {
        $slider_post_order = gridsoul_get_option('slider_post_order');
    }

    $slider_dateformat = 'F j, Y';
    if ( gridsoul_get_option('slider_dateformat') ) {
        $slider_dateformat = gridsoul_get_option('slider_dateformat');
    }

    $post_title_length_slider = 6;
    if ( gridsoul_get_option('post_title_length_slider') ) {
        $post_title_length_slider = gridsoul_get_option('post_title_length_slider');
    }

    $snippet_length_slider = 17;
    if ( gridsoul_get_option('snippet_length_slider') ) {
        $snippet_length_slider = gridsoul_get_option('snippet_length_slider');
    }

    $snippet_type_slider = 'postexcerpt';
    if ( gridsoul_get_option('snippet_type_slider') ) {
        $snippet_type_slider = gridsoul_get_option('snippet_type_slider');
    }

    if(($slider_post_type === 'catposts') && $slider_cat) {
        $slider_query = new WP_Query( array( 'orderby' => $slider_post_orderby, 'order' => $slider_post_order, 'posts_per_page' => $slider_length, 'nopaging' => false, 'post_status' => array( 'publish' ), 'ignore_sticky_posts' => true, 'post_type' => array( 'post' ), 'cat' => $slider_cat, 'no_found_rows' => true ) );
    } elseif(($slider_post_type === 'tagposts') && $slider_tag) {
        $slider_query = new WP_Query( array( 'orderby' => $slider_post_orderby, 'order' => $slider_post_order, 'posts_per_page' => $slider_length, 'nopaging' => false, 'post_status' => array( 'publish' ), 'ignore_sticky_posts' => true, 'post_type' => array( 'post' ), 'tag_id' => $slider_tag, 'no_found_rows' => true ) );
    } else {
        $slider_query = new WP_Query( array( 'orderby' => $slider_post_orderby, 'order' => $slider_post_order, 'posts_per_page' => $slider_length, 'nopaging' => false, 'post_status' => array( 'publish' ), 'ignore_sticky_posts' => true, 'post_type' => array( 'post' ), 'no_found_rows' => true ) );
    }

    if ($slider_query->have_posts()) : ?>

    <?php if ( gridsoul_get_option('show_slider_heading') ) { ?>
    <?php if ( gridsoul_get_option('slider_heading') ) : ?>
    <div class="gridsoul-slider-header"><div class="gridsoul-slider-header-inside"><h2 class="gridsoul-slider-heading"><span class="gridsoul-slider-heading-inside"><?php echo esc_html( gridsoul_get_option('slider_heading') ); ?></span></h2></div></div>
    <?php else : ?>
    <div class="gridsoul-slider-header"><div class="gridsoul-slider-header-inside"><h2 class="gridsoul-slider-heading"><span class="gridsoul-slider-heading-inside"><?php esc_html_e( 'Featured Posts Slider', 'gridsoul' ); ?></span></h2></div></div>
    <?php endif; ?>
    <?php } ?>

    <div class="gridsoul-slider-posts gridsoul-clearfix">
    <div class="gridsoul-posts-carousel">
    <div class="owl-carousel owl-theme">
    <?php while ($slider_query->have_posts()) : $slider_query->the_post();  ?>

        <div class="gridsoul-slide-item">
        <?php $gridsoul_slider_post_content = get_the_content(); ?>
        <div id="gridsoul-slider-post-<?php the_ID(); ?>" class="gridsoul-slider-post gridsoul-620w-465h-slider-thumbnail gridsoul-small-height-thumbnail">
        <div class="gridsoul-slider-post-inside">

        <?php if ( has_post_thumbnail() ) { ?>
        <div class="gridsoul-slider-post-thumbnail gridsoul-slider-post-block">
            <?php if ( gridsoul_get_option('remove_thumbnail_slider_link') ) { ?>
                <?php the_post_thumbnail('gridsoul-620w-465h-image', array('class' => 'gridsoul-slider-post-thumbnail-img', 'title' => the_title_attribute('echo=0'))); ?>
            <?php } else { ?>
                <a href="<?php echo esc_url( get_permalink() ); ?>" class="gridsoul-slider-post-thumbnail-link" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'gridsoul' ), the_title_attribute( 'echo=0' ) ) ); ?>"><?php the_post_thumbnail('gridsoul-620w-465h-image', array('class' => 'gridsoul-slider-post-thumbnail-img', 'title' => the_title_attribute('echo=0'))); ?></a>
            <?php } ?>

            <?php if ( !(gridsoul_get_option('hide_post_title_slider')) || !(gridsoul_get_option('hide_post_snippet_slider')) || (!(gridsoul_get_option('hide_slide_cats')) && has_category() && ('post' == get_post_type())) || !(gridsoul_get_option('hide_slide_date')) || (gridsoul_get_option('show_slide_comments') && (! post_password_required() && ( comments_open() || get_comments_number() ))) || !(gridsoul_get_option('hide_slide_author')) ) { ?>
            <div class="gridsoul-slider-post-details gridsoul-slider-post-block">
            <div class="gridsoul-slider-post-details-inside gridsoul-clearfix">
            <?php if ( !(gridsoul_get_option('hide_slide_cats')) && has_category() && ('post' == get_post_type()) ) { ?>
                <?php gridsoul_slider_cats(); ?>
            <?php } ?>

            <?php if ( !(gridsoul_get_option('hide_post_title_slider')) ) { ?>
                <?php if ( gridsoul_get_option('remove_post_title_slider_link') ) { ?>

                    <?php if ( gridsoul_get_option('limit_slider_post_titles') ) { ?>
                        <h3 class="gridsoul-slider-post-title gridsoul-slider-post-details-block"><?php echo esc_html( wp_trim_words( get_the_title(), $post_title_length_slider, '...' ) ); ?></h3>
                    <?php } else { ?>
                        <?php the_title( '<h3 class="gridsoul-slider-post-title gridsoul-slider-post-details-block">', '</h3>' ); ?>
                    <?php } ?>

                <?php } else { ?>

                    <?php if ( gridsoul_get_option('limit_slider_post_titles') ) { ?>
                        <h3 class="gridsoul-slider-post-title gridsoul-slider-post-details-block"><a href="<?php echo esc_url( get_permalink() ); ?>" rel="bookmark"><?php echo esc_html( wp_trim_words( get_the_title(), $post_title_length_slider, '...' ) ); ?></a></h3>
                    <?php } else { ?>
                        <?php the_title( sprintf( '<h3 class="gridsoul-slider-post-title gridsoul-slider-post-details-block"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
                    <?php } ?>

                <?php } ?>
            <?php } ?>

            <?php if ( !(gridsoul_get_option('hide_post_snippet_slider')) ) { ?>
                <?php if ( !empty( $gridsoul_slider_post_content ) ) { ?>
                    <?php if(($snippet_type_slider === 'postexcerpt')) { ?>
                        <div class="gridsoul-slider-post-snippet gridsoul-slider-post-excerpt gridsoul-slider-post-details-block"><div class="gridsoul-slider-post-snippet-inside"><?php the_excerpt(); ?></div></div>
                    <?php } else { ?>
                        <div class="gridsoul-slider-post-snippet gridsoul-slider-post-details-block"><div class="gridsoul-slider-post-snippet-inside"><?php echo esc_html( wp_trim_words( get_the_content(), $snippet_length_slider, '...' ) ); ?></div></div>
                    <?php } ?>
                <?php } ?>
            <?php } ?>

            <?php gridsoul_slider_postmeta(); ?>
            </div>
            </div>
            <?php } ?>
        </div>
        <?php } else { ?>
        <?php //if ( !(gridsoul_get_option('hide_default_thumbnail_slider')) ) { ?>
        <div class="gridsoul-slider-post-thumbnail gridsoul-slider-post-thumbnail-default gridsoul-slider-post-block">
            <?php if ( gridsoul_get_option('remove_thumbnail_slider_link') ) { ?>
                <img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/no-image-620-465.jpg' ); ?>" class="gridsoul-slider-post-thumbnail-img"/>
            <?php } else { ?>
                <a href="<?php echo esc_url( get_permalink() ); ?>" class="gridsoul-slider-post-thumbnail-link" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'gridsoul' ), the_title_attribute( 'echo=0' ) ) ); ?>"><img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/no-image-620-465.jpg' ); ?>" class="gridsoul-slider-post-thumbnail-img"/></a>
            <?php } ?>

            <?php if ( !(gridsoul_get_option('hide_post_title_slider')) || !(gridsoul_get_option('hide_post_snippet_slider')) || (!(gridsoul_get_option('hide_slide_cats')) && has_category() && ('post' == get_post_type())) || !(gridsoul_get_option('hide_slide_date')) || (gridsoul_get_option('show_slide_comments') && (! post_password_required() && ( comments_open() || get_comments_number() ))) || !(gridsoul_get_option('hide_slide_author')) ) { ?>
            <div class="gridsoul-slider-post-details gridsoul-slider-post-block">
            <div class="gridsoul-slider-post-details-inside gridsoul-clearfix">
            <?php if ( !(gridsoul_get_option('hide_slide_cats')) && has_category() && ('post' == get_post_type()) ) { ?>
                <?php gridsoul_slider_cats(); ?>
            <?php } ?>

            <?php if ( !(gridsoul_get_option('hide_post_title_slider')) ) { ?>
                <?php if ( gridsoul_get_option('remove_post_title_slider_link') ) { ?>

                    <?php if ( gridsoul_get_option('limit_slider_post_titles') ) { ?>
                        <h3 class="gridsoul-slider-post-title gridsoul-slider-post-details-block"><?php echo esc_html( wp_trim_words( get_the_title(), $post_title_length_slider, '...' ) ); ?></h3>
                    <?php } else { ?>
                        <?php the_title( '<h3 class="gridsoul-slider-post-title gridsoul-slider-post-details-block">', '</h3>' ); ?>
                    <?php } ?>

                <?php } else { ?>

                    <?php if ( gridsoul_get_option('limit_slider_post_titles') ) { ?>
                        <h3 class="gridsoul-slider-post-title gridsoul-slider-post-details-block"><a href="<?php echo esc_url( get_permalink() ); ?>" rel="bookmark"><?php echo esc_html( wp_trim_words( get_the_title(), $post_title_length_slider, '...' ) ); ?></a></h3>
                    <?php } else { ?>
                        <?php the_title( sprintf( '<h3 class="gridsoul-slider-post-title gridsoul-slider-post-details-block"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
                    <?php } ?>

                <?php } ?>
            <?php } ?>

            <?php if ( !(gridsoul_get_option('hide_post_snippet_slider')) ) { ?>
                <?php if ( !empty( $gridsoul_slider_post_content ) ) { ?>
                    <?php if(($snippet_type_slider === 'postexcerpt')) { ?>
                        <div class="gridsoul-slider-post-snippet gridsoul-slider-post-excerpt gridsoul-slider-post-details-block"><div class="gridsoul-slider-post-snippet-inside"><?php the_excerpt(); ?></div></div>
                    <?php } else { ?>
                        <div class="gridsoul-slider-post-snippet gridsoul-slider-post-details-block"><div class="gridsoul-slider-post-snippet-inside"><?php echo esc_html( wp_trim_words( get_the_content(), $snippet_length_slider, '...' ) ); ?></div></div>
                    <?php } ?>
                <?php } ?>
            <?php } ?>

            <?php gridsoul_slider_postmeta(); ?>
            </div>
            </div>
            <?php } ?>
        </div>
        <?php //} ?>
        <?php } ?>

        </div>
        </div>
        </div>

    <?php endwhile; ?>
    </div>
    </div>
    </div>

    <?php wp_reset_postdata();  // Restore global post data stomped by the_post().
    endif; ?>
</div>
</div>

<?php gridsoul_after_slider(); ?>

<?php }

endif;

function gridsoul_slider_area() {
    if ( gridsoul_is_slider_active() ) {
        if ( 'front-page' === gridsoul_get_option('slider_display') ) {
            if ( is_front_page() && is_home() && !is_paged() ) {
                gridsoul_slider();
            }
        } elseif ( 'front-page-static' === gridsoul_get_option('slider_display') ) {
            if ( is_front_page() && is_singular() ) {
                gridsoul_slider();
            }
        } elseif ( 'blog-posts-index' === gridsoul_get_option('slider_display') ) {
            if ( is_home() && !is_paged() ) {
                gridsoul_slider();
            }
        } else {
            if ( is_front_page() && is_home() && !is_paged() ) {
                gridsoul_slider();
            }
        }
    }
}