<?php
/**
* Social buttons
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridsoul_social_bar() { ?>

<?php if ( gridsoul_is_social_buttons_active() || gridsoul_is_social_search_active() ) { ?>
<div class='gridsoul-social-bar'>
<div class="gridsoul-outer-wrapper">
<div class="gridsoul-social-bar-inside">

<div class='gridsoul-social-icons'>
<div class='gridsoul-social-icons-inside'>
    <?php if ( gridsoul_get_option('twitterlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('twitterlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-twitter" aria-label="<?php esc_attr_e('Twitter Button','gridsoul'); ?>"><i class="fab fa-twitter" aria-hidden="true" title="<?php esc_attr_e('Twitter','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('facebooklink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('facebooklink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-facebook" aria-label="<?php esc_attr_e('Facebook Button','gridsoul'); ?>"><i class="fab fa-facebook-f" aria-hidden="true" title="<?php esc_attr_e('Facebook','gridsoul'); ?>"></i></a><?php endif; ?>
   <?php if ( gridsoul_get_option('threadslink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('threadslink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-threads" aria-label="<?php esc_attr_e('Threads Button','gridsoul'); ?>"><i class="fab fa-threads" aria-hidden="true" title="<?php esc_attr_e('Threads','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('googlelink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('googlelink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-google-plus" aria-label="<?php esc_attr_e('Google Plus Button','gridsoul'); ?>"><i class="fab fa-google-plus-g" aria-hidden="true" title="<?php esc_attr_e('Google Plus','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('pinterestlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('pinterestlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-pinterest" aria-label="<?php esc_attr_e('Pinterest Button','gridsoul'); ?>"><i class="fab fa-pinterest" aria-hidden="true" title="<?php esc_attr_e('Pinterest','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('linkedinlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('linkedinlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-linkedin" aria-label="<?php esc_attr_e('Linkedin Button','gridsoul'); ?>"><i class="fab fa-linkedin-in" aria-hidden="true" title="<?php esc_attr_e('Linkedin','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('instagramlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('instagramlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-instagram" aria-label="<?php esc_attr_e('Instagram Button','gridsoul'); ?>"><i class="fab fa-instagram" aria-hidden="true" title="<?php esc_attr_e('Instagram','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('flickrlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('flickrlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-flickr" aria-label="<?php esc_attr_e('Flickr Button','gridsoul'); ?>"><i class="fab fa-flickr" aria-hidden="true" title="<?php esc_attr_e('Flickr','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('youtubelink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('youtubelink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-youtube" aria-label="<?php esc_attr_e('Youtube Button','gridsoul'); ?>"><i class="fab fa-youtube" aria-hidden="true" title="<?php esc_attr_e('Youtube','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('vimeolink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('vimeolink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-vimeo" aria-label="<?php esc_attr_e('Vimeo Button','gridsoul'); ?>"><i class="fab fa-vimeo-v" aria-hidden="true" title="<?php esc_attr_e('Vimeo','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('soundcloudlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('soundcloudlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-soundcloud" aria-label="<?php esc_attr_e('SoundCloud Button','gridsoul'); ?>"><i class="fab fa-soundcloud" aria-hidden="true" title="<?php esc_attr_e('SoundCloud','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('messengerlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('messengerlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-messenger" aria-label="<?php esc_attr_e('Messenger Button','gridsoul'); ?>"><i class="fab fa-facebook-messenger" aria-hidden="true" title="<?php esc_attr_e('Messenger','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('whatsapplink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('whatsapplink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-whatsapp" aria-label="<?php esc_attr_e('WhatsApp Button','gridsoul'); ?>"><i class="fab fa-whatsapp" aria-hidden="true" title="<?php esc_attr_e('WhatsApp','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('tiktoklink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('tiktoklink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-tiktok" aria-label="<?php esc_attr_e('TikTok Button','gridsoul'); ?>"><i class="fab fa-tiktok" aria-hidden="true" title="<?php esc_attr_e('TikTok','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('lastfmlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('lastfmlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-lastfm" aria-label="<?php esc_attr_e('Lastfm Button','gridsoul'); ?>"><i class="fab fa-lastfm" aria-hidden="true" title="<?php esc_attr_e('Lastfm','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('mediumlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('mediumlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-medium" aria-label="<?php esc_attr_e('Medium Button','gridsoul'); ?>"><i class="fab fa-medium-m" aria-hidden="true" title="<?php esc_attr_e('Medium','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('githublink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('githublink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-github" aria-label="<?php esc_attr_e('Github Button','gridsoul'); ?>"><i class="fab fa-github" aria-hidden="true" title="<?php esc_attr_e('Github','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('bitbucketlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('bitbucketlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-bitbucket" aria-label="<?php esc_attr_e('Bitbucket Button','gridsoul'); ?>"><i class="fab fa-bitbucket" aria-hidden="true" title="<?php esc_attr_e('Bitbucket','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('tumblrlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('tumblrlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-tumblr" aria-label="<?php esc_attr_e('Tumblr Button','gridsoul'); ?>"><i class="fab fa-tumblr" aria-hidden="true" title="<?php esc_attr_e('Tumblr','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('digglink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('digglink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-digg" aria-label="<?php esc_attr_e('Digg Button','gridsoul'); ?>"><i class="fab fa-digg" aria-hidden="true" title="<?php esc_attr_e('Digg','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('deliciouslink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('deliciouslink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-delicious" aria-label="<?php esc_attr_e('Delicious Button','gridsoul'); ?>"><i class="fab fa-delicious" aria-hidden="true" title="<?php esc_attr_e('Delicious','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('stumblelink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('stumblelink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-stumbleupon" aria-label="<?php esc_attr_e('Stumbleupon Button','gridsoul'); ?>"><i class="fab fa-stumbleupon" aria-hidden="true" title="<?php esc_attr_e('Stumbleupon','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('mixlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('mixlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-mix" aria-label="<?php esc_attr_e('Mix Button','gridsoul'); ?>"><i class="fab fa-mix" aria-hidden="true" title="<?php esc_attr_e('Mix','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('redditlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('redditlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-reddit" aria-label="<?php esc_attr_e('Reddit Button','gridsoul'); ?>"><i class="fab fa-reddit" aria-hidden="true" title="<?php esc_attr_e('Reddit','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('dribbblelink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('dribbblelink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-dribbble" aria-label="<?php esc_attr_e('Dribbble Button','gridsoul'); ?>"><i class="fab fa-dribbble" aria-hidden="true" title="<?php esc_attr_e('Dribbble','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('flipboardlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('flipboardlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-flipboard" aria-label="<?php esc_attr_e('Flipboard Button','gridsoul'); ?>"><i class="fab fa-flipboard" aria-hidden="true" title="<?php esc_attr_e('Flipboard','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('bloggerlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('bloggerlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-blogger" aria-label="<?php esc_attr_e('Blogger Button','gridsoul'); ?>"><i class="fab fa-blogger" aria-hidden="true" title="<?php esc_attr_e('Blogger','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('etsylink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('etsylink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-etsy" aria-label="<?php esc_attr_e('Etsy Button','gridsoul'); ?>"><i class="fab fa-etsy" aria-hidden="true" title="<?php esc_attr_e('Etsy','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('behancelink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('behancelink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-behance" aria-label="<?php esc_attr_e('Behance Button','gridsoul'); ?>"><i class="fab fa-behance" aria-hidden="true" title="<?php esc_attr_e('Behance','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('amazonlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('amazonlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-amazon" aria-label="<?php esc_attr_e('Amazon Button','gridsoul'); ?>"><i class="fab fa-amazon" aria-hidden="true" title="<?php esc_attr_e('Amazon','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('meetuplink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('meetuplink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-meetup" aria-label="<?php esc_attr_e('Meetup Button','gridsoul'); ?>"><i class="fab fa-meetup" aria-hidden="true" title="<?php esc_attr_e('Meetup','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('mixcloudlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('mixcloudlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-mixcloud" aria-label="<?php esc_attr_e('Mixcloud Button','gridsoul'); ?>"><i class="fab fa-mixcloud" aria-hidden="true" title="<?php esc_attr_e('Mixcloud','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('slacklink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('slacklink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-slack" aria-label="<?php esc_attr_e('Slack Button','gridsoul'); ?>"><i class="fab fa-slack" aria-hidden="true" title="<?php esc_attr_e('Slack','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('snapchatlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('snapchatlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-snapchat" aria-label="<?php esc_attr_e('Snapchat Button','gridsoul'); ?>"><i class="fab fa-snapchat" aria-hidden="true" title="<?php esc_attr_e('Snapchat','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('spotifylink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('spotifylink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-spotify" aria-label="<?php esc_attr_e('Spotify Button','gridsoul'); ?>"><i class="fab fa-spotify" aria-hidden="true" title="<?php esc_attr_e('Spotify','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('yelplink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('yelplink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-yelp" aria-label="<?php esc_attr_e('Yelp Button','gridsoul'); ?>"><i class="fab fa-yelp" aria-hidden="true" title="<?php esc_attr_e('Yelp','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('wordpresslink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('wordpresslink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-wordpress" aria-label="<?php esc_attr_e('WordPress Button','gridsoul'); ?>"><i class="fab fa-wordpress" aria-hidden="true" title="<?php esc_attr_e('WordPress','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('twitchlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('twitchlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-twitch" aria-label="<?php esc_attr_e('Twitch Button','gridsoul'); ?>"><i class="fab fa-twitch" aria-hidden="true" title="<?php esc_attr_e('Twitch','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('telegramlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('telegramlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-telegram" aria-label="<?php esc_attr_e('Telegram Button','gridsoul'); ?>"><i class="fab fa-telegram" aria-hidden="true" title="<?php esc_attr_e('Telegram','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('bandcamplink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('bandcamplink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-bandcamp" aria-label="<?php esc_attr_e('Bandcamp Button','gridsoul'); ?>"><i class="fab fa-bandcamp" aria-hidden="true" title="<?php esc_attr_e('Bandcamp','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('quoralink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('quoralink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-quora" aria-label="<?php esc_attr_e('Quora Button','gridsoul'); ?>"><i class="fab fa-quora" aria-hidden="true" title="<?php esc_attr_e('Quora','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('foursquarelink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('foursquarelink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-foursquare" aria-label="<?php esc_attr_e('Foursquare Button','gridsoul'); ?>"><i class="fab fa-foursquare" aria-hidden="true" title="<?php esc_attr_e('Foursquare','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('deviantartlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('deviantartlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-deviantart" aria-label="<?php esc_attr_e('DeviantArt Button','gridsoul'); ?>"><i class="fab fa-deviantart" aria-hidden="true" title="<?php esc_attr_e('DeviantArt','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('imdblink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('imdblink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-imdb" aria-label="<?php esc_attr_e('IMDB Button','gridsoul'); ?>"><i class="fab fa-imdb" aria-hidden="true" title="<?php esc_attr_e('IMDB','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('vklink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('vklink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-vk" aria-label="<?php esc_attr_e('VK Button','gridsoul'); ?>"><i class="fab fa-vk" aria-hidden="true" title="<?php esc_attr_e('VK','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('codepenlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('codepenlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-codepen" aria-label="<?php esc_attr_e('Codepen Button','gridsoul'); ?>"><i class="fab fa-codepen" aria-hidden="true" title="<?php esc_attr_e('Codepen','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('jsfiddlelink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('jsfiddlelink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-jsfiddle" aria-label="<?php esc_attr_e('JSFiddle Button','gridsoul'); ?>"><i class="fab fa-jsfiddle" aria-hidden="true" title="<?php esc_attr_e('JSFiddle','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('stackoverflowlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('stackoverflowlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-stackoverflow" aria-label="<?php esc_attr_e('Stack Overflow Button','gridsoul'); ?>"><i class="fab fa-stack-overflow" aria-hidden="true" title="<?php esc_attr_e('Stack Overflow','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('stackexchangelink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('stackexchangelink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-stackexchange" aria-label="<?php esc_attr_e('Stack Exchange Button','gridsoul'); ?>"><i class="fab fa-stack-exchange" aria-hidden="true" title="<?php esc_attr_e('Stack Exchange','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('bsalink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('bsalink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-buysellads" aria-label="<?php esc_attr_e('BuySellAds Button','gridsoul'); ?>"><i class="fab fa-buysellads" aria-hidden="true" title="<?php esc_attr_e('BuySellAds','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('web500pxlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('web500pxlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-web500px" aria-label="<?php esc_attr_e('500px Button','gridsoul'); ?>"><i class="fab fa-500px" aria-hidden="true" title="<?php esc_attr_e('500px','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('ellolink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('ellolink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-ello" aria-label="<?php esc_attr_e('Ello Button','gridsoul'); ?>"><i class="fab fa-ello" aria-hidden="true" title="<?php esc_attr_e('Ello','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('discordlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('discordlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-discord" aria-label="<?php esc_attr_e('Discord Button','gridsoul'); ?>"><i class="fab fa-discord" aria-hidden="true" title="<?php esc_attr_e('Discord','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('goodreadslink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('goodreadslink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-goodreads" aria-label="<?php esc_attr_e('Goodreads Button','gridsoul'); ?>"><i class="fab fa-goodreads" aria-hidden="true" title="<?php esc_attr_e('Goodreads','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('odnoklassnikilink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('odnoklassnikilink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-odnoklassniki" aria-label="<?php esc_attr_e('Odnoklassniki Button','gridsoul'); ?>"><i class="fab fa-odnoklassniki" aria-hidden="true" title="<?php esc_attr_e('Odnoklassniki','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('houzzlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('houzzlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-houzz" aria-label="<?php esc_attr_e('Houzz Button','gridsoul'); ?>"><i class="fab fa-houzz" aria-hidden="true" title="<?php esc_attr_e('Houzz','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('pocketlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('pocketlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-pocket" aria-label="<?php esc_attr_e('Pocket Button','gridsoul'); ?>"><i class="fab fa-get-pocket" aria-hidden="true" title="<?php esc_attr_e('Pocket','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('xinglink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('xinglink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-xing" aria-label="<?php esc_attr_e('XING Button','gridsoul'); ?>"><i class="fab fa-xing" aria-hidden="true" title="<?php esc_attr_e('XING','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('mastodonlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('mastodonlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-mastodon" aria-label="<?php esc_attr_e('Mastodon Button','gridsoul'); ?>"><i class="fab fa-mastodon" aria-hidden="true" title="<?php esc_attr_e('Mastodon','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('googleplaylink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('googleplaylink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-googleplay" aria-label="<?php esc_attr_e('Google Play Button','gridsoul'); ?>"><i class="fab fa-google-play" aria-hidden="true" title="<?php esc_attr_e('Google Play','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('slidesharelink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('slidesharelink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-slideshare" aria-label="<?php esc_attr_e('SlideShare Button','gridsoul'); ?>"><i class="fab fa-slideshare" aria-hidden="true" title="<?php esc_attr_e('SlideShare','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('dropboxlink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('dropboxlink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-dropbox" aria-label="<?php esc_attr_e('Dropbox Button','gridsoul'); ?>"><i class="fab fa-dropbox" aria-hidden="true" title="<?php esc_attr_e('Dropbox','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('paypallink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('paypallink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-paypal" aria-label="<?php esc_attr_e('PayPal Button','gridsoul'); ?>"><i class="fab fa-paypal" aria-hidden="true" title="<?php esc_attr_e('PayPal','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('viadeolink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('viadeolink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-viadeo" aria-label="<?php esc_attr_e('Viadeo Button','gridsoul'); ?>"><i class="fab fa-viadeo" aria-hidden="true" title="<?php esc_attr_e('Viadeo','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('wikipedialink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('wikipedialink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-wikipedia" aria-label="<?php esc_attr_e('Wikipedia Button','gridsoul'); ?>"><i class="fab fa-wikipedia-w" aria-hidden="true" title="<?php esc_attr_e('Wikipedia','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('skypeusername') ) : ?>
            <a href="skype:<?php echo esc_html( gridsoul_get_option('skypeusername') ); ?>?chat" class="gridsoul-social-icon-skype" aria-label="<?php esc_attr_e('Skype Button','gridsoul'); ?>"><i class="fab fa-skype" aria-hidden="true" title="<?php esc_attr_e('Skype','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('emailaddress') ) : ?>
            <a href="mailto:<?php echo esc_html( gridsoul_get_option('emailaddress') ); ?>" class="gridsoul-social-icon-email" aria-label="<?php esc_attr_e('Email Us Button','gridsoul'); ?>"><i class="far fa-envelope" aria-hidden="true" title="<?php esc_attr_e('Email Us','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('rsslink') ) : ?>
            <a href="<?php echo esc_url( gridsoul_get_option('rsslink') ); ?>" target="_blank" rel="nofollow" class="gridsoul-social-icon-rss" aria-label="<?php esc_attr_e('RSS Button','gridsoul'); ?>"><i class="fas fa-rss" aria-hidden="true" title="<?php esc_attr_e('RSS','gridsoul'); ?>"></i></a><?php endif; ?>
    <?php if ( gridsoul_get_option('show_login_button') ) { ?><?php if (is_user_logged_in()) : ?><a href="<?php echo esc_url( wp_logout_url( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Logout Button', 'gridsoul' ); ?>" class="gridsoul-social-icon-login"><i class="fas fa-sign-out-alt" aria-hidden="true" title="<?php esc_attr_e('Logout','gridsoul'); ?>"></i></a><?php else : ?><a href="<?php echo esc_url( wp_login_url( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Login / Register Button', 'gridsoul' ); ?>" class="gridsoul-social-icon-login"><i class="fas fa-sign-in-alt" aria-hidden="true" title="<?php esc_attr_e('Login / Register','gridsoul'); ?>"></i></a><?php endif;?><?php } ?>
</div>
</div>

<?php if ( gridsoul_is_social_search_active() ) { ?>
<div class='gridsoul-social-search'>
<div class='gridsoul-social-search-inside'>
    <?php get_search_form(); ?>
</div>
</div>
<?php } ?>

</div>
</div>
</div>
<?php } ?>

<?php }