<?php
/**
* Register widget area.
*
* @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridsoul_widgets_init() {

register_sidebar(array(
    'id' => 'gridsoul-sidebar-one',
    'name' => esc_html__( 'Sidebar 1 Widgets', 'gridsoul' ),
    'description' => esc_html__( 'This widget area is located on the left-hand side of your web page.', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-side-widget widget gridsoul-widget-box %2$s"><div class="gridsoul-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="gridsoul-widget-header"><h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'gridsoul-home-fullwidth-top-widgets',
    'name' => esc_html__( 'Top Full Width Widgets (Default HomePage)', 'gridsoul' ),
    'description' => esc_html__( 'This full-width widget area is located after the header of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-main-widget widget gridsoul-widget-box %2$s"><div class="gridsoul-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="gridsoul-widget-header"><h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'gridsoul-fullwidth-top-widgets',
    'name' => esc_html__( 'Top Full Width Widgets (Everywhere)', 'gridsoul' ),
    'description' => esc_html__( 'This full-width widget area is located after the header of your website. Widgets of this widget area are displayed on every page of your website.', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-main-widget widget gridsoul-widget-box %2$s"><div class="gridsoul-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="gridsoul-widget-header"><h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'gridsoul-home-top-widgets',
    'name' => esc_html__( 'Above Content Widgets (Default HomePage)', 'gridsoul' ),
    'description' => esc_html__( 'This widget area is located at the top of the main content (above posts) of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-main-widget widget gridsoul-widget-box %2$s"><div class="gridsoul-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="gridsoul-widget-header"><h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'gridsoul-top-widgets',
    'name' => esc_html__( 'Above Content Widgets (Everywhere)', 'gridsoul' ),
    'description' => esc_html__( 'This widget area is located at the top of the main content (above posts) of your website. Widgets of this widget area are displayed on every page of your website.', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-main-widget widget gridsoul-widget-box %2$s"><div class="gridsoul-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="gridsoul-widget-header"><h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'gridsoul-home-bottom-widgets',
    'name' => esc_html__( 'Below Content Widgets (Default HomePage)', 'gridsoul' ),
    'description' => esc_html__( 'This widget area is located at the bottom of the main content (below posts) of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-main-widget widget gridsoul-widget-box %2$s"><div class="gridsoul-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="gridsoul-widget-header"><h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'gridsoul-bottom-widgets',
    'name' => esc_html__( 'Below Content Widgets (Everywhere)', 'gridsoul' ),
    'description' => esc_html__( 'This widget area is located at the bottom of the main content (below posts) of your website. Widgets of this widget area are displayed on every page of your website.', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-main-widget widget gridsoul-widget-box %2$s"><div class="gridsoul-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="gridsoul-widget-header"><h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'gridsoul-home-fullwidth-bottom-widgets',
    'name' => esc_html__( 'Bottom Full Width Widgets (Default HomePage)', 'gridsoul' ),
    'description' => esc_html__( 'This full-width widget area is located before the footer of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-main-widget widget gridsoul-widget-box %2$s"><div class="gridsoul-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="gridsoul-widget-header"><h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'gridsoul-fullwidth-bottom-widgets',
    'name' => esc_html__( 'Bottom Full Width Widgets (Everywhere)', 'gridsoul' ),
    'description' => esc_html__( 'This full-width widget area is located before the footer of your website. Widgets of this widget area are displayed on every page of your website.', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-main-widget widget gridsoul-widget-box %2$s"><div class="gridsoul-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="gridsoul-widget-header"><h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'gridsoul-single-post-bottom-widgets',
    'name' => esc_html__( 'Single Post Bottom Widgets', 'gridsoul' ),
    'description' => esc_html__( 'This widget area is located at the bottom of single post of any post type (except attachments and pages).', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-main-widget widget gridsoul-widget-box %2$s"><div class="gridsoul-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="gridsoul-widget-header"><h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

register_sidebar(array(
    'id' => 'gridsoul-top-footer',
    'name' => esc_html__( 'Footer Top Widgets', 'gridsoul' ),
    'description' => esc_html__( 'This widget area is located on the top of the footer of your website.', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'gridsoul-footer-1',
    'name' => esc_html__( 'Footer 1 Widgets', 'gridsoul' ),
    'description' => esc_html__( 'This widget area is the column 1 of the footer of your website.', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'gridsoul-footer-2',
    'name' => esc_html__( 'Footer 2 Widgets', 'gridsoul' ),
    'description' => esc_html__( 'This widget area is the column 2 of the footer of your website.', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'gridsoul-footer-3',
    'name' => esc_html__( 'Footer 3 Widgets', 'gridsoul' ),
    'description' => esc_html__( 'This widget area is the column 3 of the footer of your website.', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'gridsoul-bottom-footer',
    'name' => esc_html__( 'Footer Bottom Widgets', 'gridsoul' ),
    'description' => esc_html__( 'This widget area is located on the bottom of the footer of your website.', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'gridsoul-404-widgets',
    'name' => esc_html__( '404 Page Widgets', 'gridsoul' ),
    'description' => esc_html__( 'This widget area is located on the 404(not found) page of your website.', 'gridsoul' ),
    'before_widget' => '<div id="%1$s" class="gridsoul-main-widget widget gridsoul-widget-box %2$s"><div class="gridsoul-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="gridsoul-widget-header"><h2 class="gridsoul-widget-title"><span class="gridsoul-widget-title-inside">',
    'after_title' => '</span></h2></div>'));

}
add_action( 'widgets_init', 'gridsoul_widgets_init' );


function gridsoul_sidebar_one_widgets() {
    dynamic_sidebar( 'gridsoul-sidebar-one' );
}

function gridsoul_top_wide_widgets() { ?>

<?php if ( is_active_sidebar( 'gridsoul-home-fullwidth-top-widgets' ) || is_active_sidebar( 'gridsoul-fullwidth-top-widgets' ) ) : ?>
<div class="gridsoul-outer-wrapper">
<div class="gridsoul-top-wrapper-outer gridsoul-clearfix">
<div class="gridsoul-featured-posts-area gridsoul-top-wrapper gridsoul-clearfix">
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'gridsoul-home-fullwidth-top-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'gridsoul-fullwidth-top-widgets' ); ?>
</div>
</div>
</div>
<?php endif; ?>

<?php }


function gridsoul_bottom_wide_widgets() { ?>

<?php if ( is_active_sidebar( 'gridsoul-home-fullwidth-bottom-widgets' ) || is_active_sidebar( 'gridsoul-fullwidth-bottom-widgets' ) ) : ?>
<div class="gridsoul-outer-wrapper">
<div class="gridsoul-bottom-wrapper-outer gridsoul-clearfix">
<div class="gridsoul-featured-posts-area gridsoul-bottom-wrapper gridsoul-clearfix">
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'gridsoul-home-fullwidth-bottom-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'gridsoul-fullwidth-bottom-widgets' ); ?>
</div>
</div>
</div>
<?php endif; ?>

<?php }


function gridsoul_top_widgets() { ?>

<?php if ( is_active_sidebar( 'gridsoul-home-top-widgets' ) || is_active_sidebar( 'gridsoul-top-widgets' ) ) : ?>
<div class="gridsoul-featured-posts-area gridsoul-featured-posts-area-top gridsoul-clearfix">
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'gridsoul-home-top-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'gridsoul-top-widgets' ); ?>
</div>
<?php endif; ?>

<?php }


function gridsoul_bottom_widgets() { ?>

<?php if ( is_active_sidebar( 'gridsoul-home-bottom-widgets' ) || is_active_sidebar( 'gridsoul-bottom-widgets' ) ) : ?>
<div class='gridsoul-featured-posts-area gridsoul-featured-posts-area-bottom gridsoul-clearfix'>
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'gridsoul-home-bottom-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'gridsoul-bottom-widgets' ); ?>
</div>
<?php endif; ?>

<?php }


function gridsoul_404_widgets() { ?>

<?php if ( is_active_sidebar( 'gridsoul-404-widgets' ) ) : ?>
<div class="gridsoul-featured-posts-area gridsoul-featured-posts-area-top gridsoul-clearfix">
<?php dynamic_sidebar( 'gridsoul-404-widgets' ); ?>
</div>
<?php endif; ?>

<?php }

function gridsoul_post_bottom_widgets() {
    if ( is_singular() ) {
        global $post;
        if ( is_active_sidebar( 'gridsoul-single-post-bottom-widgets' ) ) : ?>
            <div class="gridsoul-featured-posts-area gridsoul-clearfix">
            <?php dynamic_sidebar( 'gridsoul-single-post-bottom-widgets' ); ?>
            </div>
        <?php endif;
    }
}