<?php
/**
* Template part for displaying posts.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package GridSoul WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

<?php $gridsoul_grid_post_content = get_the_content(); ?>
<div id="gridsoul-grid-post-<?php the_ID(); ?>" class="gridsoul-grid-post gridsoul-3-col gridsoul-480w-autoh-grid-thumbnail gridsoul-auto-height-grid-thumbnail">
<div class="gridsoul-grid-post-inside">

    <?php gridsoul_media_content_grid(); ?>

    <?php if ( !(gridsoul_get_option('hide_post_categories_home')) && has_category() && ('post' == get_post_type()) ) { ?>
        <?php gridsoul_grid_cats(); ?>
    <?php } ?>

    <?php if ( !(gridsoul_get_option('hide_post_title_home')) || !(gridsoul_get_option('hide_post_snippet')) ) { ?>
    <div class="gridsoul-grid-post-details gridsoul-grid-post-block">
    <?php if ( !(gridsoul_get_option('hide_post_title_home')) ) { ?>

    <?php if ( gridsoul_get_option('remove_post_title_link_home') ) { ?>

        <?php if ( gridsoul_get_option('limit_post_titles_home') ) { ?>
            <h3 class="gridsoul-grid-post-title"><?php echo esc_html( wp_trim_words( get_the_title(), gridsoul_grid_post_title_length(), '...' ) ); ?></h3>
        <?php } else { ?>
            <?php the_title( '<h3 class="gridsoul-grid-post-title">', '</h3>' ); ?>
        <?php } ?>

    <?php } else { ?>

        <?php if ( gridsoul_get_option('limit_post_titles_home') ) { ?>
            <h3 class="gridsoul-grid-post-title"><a href="<?php echo esc_url( get_permalink() ); ?>" rel="bookmark"><?php echo esc_html( wp_trim_words( get_the_title(), gridsoul_grid_post_title_length(), '...' ) ); ?></a></h3>
        <?php } else { ?>
            <?php the_title( sprintf( '<h3 class="gridsoul-grid-post-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
        <?php } ?>

    <?php } ?>

    <?php } ?>

    <?php if ( !(gridsoul_get_option('hide_post_snippet')) ) { ?>
        <?php if ( !empty( $gridsoul_grid_post_content ) ) { ?>
            <?php if((gridsoul_grid_snippet_type() === 'postexcerpt')) { ?>
                <div class="gridsoul-grid-post-snippet gridsoul-grid-post-excerpt"><div class="gridsoul-grid-post-snippet-inside"><?php the_excerpt(); ?></div></div>
            <?php } else { ?>
                <div class="gridsoul-grid-post-snippet"><div class="gridsoul-grid-post-snippet-inside"><?php echo esc_html( wp_trim_words( get_the_content(), gridsoul_grid_post_snippet_length(), '...' ) ); ?></div></div>
            <?php } ?>
        <?php } ?>
    <?php } ?>

    </div>
    <?php } ?>

    <?php gridsoul_grid_postmeta(); ?>

</div>
</div>